import type { FolderPath } from "./FolderPath";
import type { FolderSettings } from "./FolderSettings";
/**
 * Summary information about a folder (a subset of the FolderDetails type).
 */
export declare type FolderSummary = {
    /**
     * This folder's path. Always begins with a `/`.
     */
    folderPath: FolderPath;
    settings: FolderSettings;
    type: "Folder";
    virtual: boolean;
};
