/**
 * The `filePath` of the transformed file.
 *
 * Transformations that produce multiple files — like the Archive Processing API running in `extract` mode — save files under this path. The `basePath` itself references a "summary file" that contains relative links to the other files produced by the transformation.
 *
 * Asynchronous transformations — like the Video Processing API — save a "summary file" to the `basePath` immediately. The file contains a summary of the work being performed and its current status. The file is updated periodically until the transformation completes.
 */
export declare type ProcessedFilePath = string;
