/**
 * Absolute or relative path to a folder in your Upload account's storage.
 *
 * Relative paths are relative to the API key's default folder (configured per API key in the Upload Dashboard).
 *
 * Should not end with `/`.
 *
 * Does not support path traversals (e.g. `..`).
 *
 * Supports path variables.
 */
export declare type RelativeOrAbsoluteFolderPath = string;
