import type { RuleDescription } from "./RuleDescription";
import type { RuleName } from "./RuleName";
import type { TagCondition } from "./TagCondition";
import type { TtlRuleDefinition } from "./TtlRuleDefinition";
export declare type TtlRule = {
    description: RuleDescription;
    match: TagCondition;
    name: RuleName;
    priority: number;
    ttlDefinition: TtlRuleDefinition;
};
