import type { RuleDescription } from "./RuleDescription";
import type { RuleErrorMessage } from "./RuleErrorMessage";
import type { RuleName } from "./RuleName";
import type { TagCondition } from "./TagCondition";
import type { TagQuota_SizeInBytes_ } from "./TagQuota_SizeInBytes_";
import type { TagQuotaIdDefinition } from "./TagQuotaIdDefinition";
export declare type UploadBandwidthRule = {
    description: RuleDescription;
    match: TagCondition;
    name: RuleName;
    errorMessage: RuleErrorMessage;
    quota: TagQuota_SizeInBytes_;
    tagQuotaId: TagQuotaIdDefinition;
};
