/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { DigitalOceanRegion } from "./DigitalOceanRegion";
import type { S3BucketName } from "./S3BucketName";
import type { S3ObjectKey } from "./S3ObjectKey";

/**
 * From T, pick a set of properties whose keys are in the union K
 */
export type Pick_DigitalOceanSpacesStorage_Exclude_keyofDigitalOceanSpacesStorage_credentials__ = {
  /**
   * The type of this storage layer.
   */
  type: "DigitalOceanSpace";
  bucket: {
    objectKeyPrefix: S3ObjectKey;
    bucketRegion: DigitalOceanRegion;
    bucketName: S3BucketName;
  };
  /**
   * If `true` then writes S3 objects with full `filePath` as key, prefixed with the `objectKeyPrefix`.
   *
   * If `false` then writes S3 objects using a relative `filePath` in relation to folder's path, prefixed with the `objectKeyPrefix`.
   */
  useAbsolutePaths: boolean;
};
