/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { FilePathDefinition } from "./FilePathDefinition";
import type { ProcessedFileMetadata } from "./ProcessedFileMetadata";
import type { ProcessedFileTags } from "./ProcessedFileTags";

/**
 * Request body for ProcessFileAndSave.
 */
export type ProcessFileAndSaveRequest = {
  /**
   * The path to save the processed file(s) to.
   *
   * If multiple files are created by the transformation:
   *
   * - All files will be saved under this path.
   *
   * - Use ```{ "fileName": "", "folderPath": "{UNIQUE_DIGITS_7}" }``` to save files to a unique folder under the API key's default folder.
   *
   * See also: Path Variables
   */
  destination?: FilePathDefinition;
  metadata?: ProcessedFileMetadata;
  tags?: ProcessedFileTags;
};
