import type { MaxSeats } from "./MaxSeats";
import type { Milliseconds } from "./Milliseconds";
import type { SizeInBytes } from "./SizeInBytes";
import type { SizeInMegabytes } from "./SizeInMegabytes";
import type { UploadLimit } from "./UploadLimit";
/**
 * Make all properties in T optional
 */
export declare type Partial_AccountQuotasValues_ = {
    acceleratedUploadBandwidth?: SizeInMegabytes;
    bandwidth?: SizeInMegabytes;
    cacheInvalidations?: number;
    cpu?: Milliseconds;
    maxFileSize?: SizeInBytes;
    seats?: MaxSeats;
    storage?: SizeInBytes;
    uploads?: UploadLimit;
};
