import type { CopyableFileData_FileTagName_Array_ } from "./CopyableFileData_FileTagName_Array_";
/**
 * File tags to store against the processed file(s).
 *
 * When you associate file tags with a file, Upload checks which rules match the tags (if any) and applies those rules to the upload request:
 *
 * Rules can include max file size checks, traffic limit checks, rate limit checks, and so forth. These are configured in the Upload Dashboard.
 */
export declare type ProcessedFileTags = CopyableFileData_FileTagName_Array_;
