/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { AccountJobId } from "./AccountJobId";
import type { AccountJobType } from "./AccountJobType";
import type { JobUrl } from "./JobUrl";

/**
 * Response body from an API endpoint that performs work asynchronously (i.e. does not complete the work immediately).
 */
export type AsyncResponse = {
  /**
   * Link to the documentation that describes how to get a job's status from its job ID.
   */
  jobDocs: "https://upload.io/docs/upload-api/jobs/GetJob";
  /**
   * Unique ID for the job.
   */
  jobId: AccountJobId;
  /**
   * Type of the job.
   */
  jobType: AccountJobType;
  jobUrl: JobUrl;
};
