/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */

import type { FilePath } from "./FilePath";
import type { TagCondition } from "./TagCondition";

/**
 * Request body for CopyFile.
 */
export type CopyFileRequest = {
  /**
   * If specified, the file will be copied only if its tags match this condition.
   */
  condition?: TagCondition;
  /**
   * Destination file path.
   */
  destination: FilePath;
  /**
   * Source file path.
   */
  source: FilePath;
};
